質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
87.20%
Smarty

Smartyは、PHPアプリケーションで使用されるテンプレートエンジンです。

apt-get

apt-getコマンドはUNIX系OSのパッケージのインストールなど、パッケージ管理を行うためのコマンドです。

Docker

Dockerは、Docker社が開発したオープンソースのコンテナー管理ソフトウェアの1つです

解決済

DockerコンテナにSmartyをインストールする方法について

chibi_kuma
chibi_kuma

総合スコア0

Smarty

Smartyは、PHPアプリケーションで使用されるテンプレートエンジンです。

apt-get

apt-getコマンドはUNIX系OSのパッケージのインストールなど、パッケージ管理を行うためのコマンドです。

Docker

Dockerは、Docker社が開発したオープンソースのコンテナー管理ソフトウェアの1つです

1回答

0評価

0クリップ

45閲覧

投稿2021/06/30 09:32

編集2022/01/12 10:58

Dockerを勉強を始めたばかりの者です。

環境は、以下の通りです。
Windows10 Home
Docker Desktop for Windows(最新版)

Smarty3を、Dockerコンテナにインストールしたくて、
以下のようなDockerfileを作成しました。

とりあえず、Apacheと同じコンテナにあればいいのかなと思って、
ここに追加してみました。(正しいかどうかはよくわからない)

Dockerfile

From php:7.4.20-apache # smarty3 インストール RUN apt-get update && apt-get install -y smarty3\ && rm -rf /var/lib/apt/lists/*

このDockerfileをビルドすると、
以下のエラーが出て、Smarty3のインストールが出来ません。

PowerShell

~略~ => ERROR [2/2] RUN apt-get update && apt-get install -y smarty3 4.5s ------ > [2/2] RUN apt-get update && apt-get install -y smarty3: #6 0.418 Get:1 http://security.debian.org/debian-security buster/updates InRelease [65.4 kB] #6 0.456 Get:2 http://deb.debian.org/debian buster InRelease [122 kB] #6 0.723 Get:5 http://deb.debian.org/debian buster/main amd64 Packages [7907 kB] #6 1.553 Get:6 http://deb.debian.org/debian buster-updates/main amd64 Packages [15.2 kB] #6 2.735 Fetched 8453 kB in 2s (3478 kB/s) #6 2.735 Reading package lists... #6 3.435 Reading package lists... #6 4.089 Building dependency tree... #6 4.217 Reading state information... #6 4.276 Some packages could not be installed. This may mean that you have #6 4.276 requested an impossible situation or if you are using the unstable #6 4.276 distribution that some required packages have not yet been created #6 4.276 or been moved out of Incoming. #6 4.276 The following information may help to resolve the situation: #6 4.276 #6 4.276 The following packages have unmet dependencies: #6 4.363 smarty3 : Depends: php or #6 4.363 php-cgi or #6 4.363 php-cli #6 4.363 Depends: php-common but it is not installable #6 4.373 E: Unable to correct problems, you have held broken packages. ------ executor failed running [/bin/sh -c apt-get update && apt-get install -y smarty3]: exit code: 100

どうしたら、Smarty3をインストールできるでしょうか?
そもそも、apt-get installでいいのかも自信がありません。

よろしくお願いします。

良い質問の評価を上げる

以下のような質問は評価を上げましょう

  • 質問内容が明確
  • 自分も答えを知りたい
  • 質問者以外のユーザにも役立つ

評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

気になる質問をクリップする

クリップした質問は、後からいつでもマイページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

  • プログラミングに関係のない質問
  • やってほしいことだけを記載した丸投げの質問
  • 問題・課題が含まれていない質問
  • 意図的に内容が抹消された質問
  • 過去に投稿した質問と同じ内容の質問
  • 広告と受け取られるような投稿

評価を下げると、トップページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

まだ回答がついていません

会員登録して回答してみよう

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
87.20%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問

同じタグがついた質問を見る

Smarty

Smartyは、PHPアプリケーションで使用されるテンプレートエンジンです。

apt-get

apt-getコマンドはUNIX系OSのパッケージのインストールなど、パッケージ管理を行うためのコマンドです。

Docker

Dockerは、Docker社が開発したオープンソースのコンテナー管理ソフトウェアの1つです